.loader {
	& .spinner {
		position: relative;
		width: 40px;
		height: 40px;
	}

	& .double-bounce1,
	& .double-bounce2 {
		width: 100%;
		height: 100%;
		border-radius: 50%;
		background-color: var(--white);
		opacity: 0.6;
		position: absolute;
		top: 0;
		left: 0;
		animation: sk-bounce 2s infinite ease-in-out;
	}

	& .double-bounce2 {
		animation-delay: -1s;
	}
}

.loader--dark {
	& .double-bounce1,
	& .double-bounce2 {
		background: var(--primary);
	}
}

@keyframes sk-bounce {
	0%,
	100% {
		transform: scale(0);
	}

	50% {
		transform: scale(1);
	}
}
